
#### Scripts

##### New: CreatePrismaCloudComputeResourceComplianceReportButton

New: Generate a compliance report for Prisma Cloud resources - host, container or image.

##### New: PCComputeContainerComplianceIssuesButton

New: This script runs the "prisma-cloud-compute-container-scan-results-list" command for a specific container ID and returns details about its compliance issues, if found. If any compliance issues found, it will create a new tab in the layout called "Detailed Compliance Issues" showing the issues details.
Returns the following fields for each compliance ID:
- Compliance ID
- Cause
- Severity
- Title
- Description.

##### New: PCComputeHostComplianceIssuesButton

New: This script runs the "prisma-cloud-compute-hosts-scan-list" command for a specific hostname and returns details about its compliance issues, if found. If any compliance issues found, it will create a new tab in the layout called "Detailed Compliance Issues" showing the issues details.
Returns the following fields for each compliance ID:
- Compliance ID
- Cause
- Severity
- Title
- Description.

##### New: PCComputeImageComplianceIssuesButton

New: This script runs the "prisma-cloud-compute-images-scan-list" command for a specific container ID and returns details about its compliance issues, if found. If any compliance issues found, it will create a new tab in the layout called "Detailed Compliance Issues" showing the issues details.
Returns the following fields for each compliance ID:
- Compliance ID
- Cause
- Severity
- Title
- Description.

##### New: PrismaCloudComputeComplianceTable

New: Iterate over EnrichedComplianceIssue information in the context data and add the important keys to a table under PrismaCloudCompute.ComplianceTable or a provided grid id.


#### Incident Fields

- New: **Prisma Cloud Compute Container Compliance Issues**

- New: **Prisma Cloud Compute Host Compliance Issues**

- New: **Prisma Cloud Compute Image Compliance Issues**

- New: **Prisma Cloud Compute Show Compliance Tab**

- New: **Prisma Cloud Compute Tickets Info**


#### Incident Types

**Prisma Cloud Compute Compliance v2**


#### Layouts

##### New: Prisma Cloud Compute Compliance Incident v2

New: A new compliance incident layout with improved and enhanced content.
- New tabs for each resource type for showing compliance issues.
- New tab for showing enriched compliance information for specific resource.
- New tab for showing external ticketing systems information.


#### Playbooks

##### New: Prisma Cloud Compute - Compliance Alert Container Enrichment Loop

New: This is a sub playbook of the "Prisma Cloud Compute - Compliance Alert v2" playbook.
It will loop through all of the given compliance issue IDs and will retrieve the following information for each affected container based on the compliance issue ID:
- Container ID
- Compliance Issues
- Compliance Distribution
- Hostname
- Image Name
- Cloud MetaData

The enriched information will be displayed in the layout in a dedicated table under the "Container Compliance Information" tab.

##### New: Prisma Cloud Compute - Compliance Alert Host Enrichment Loop

New: This is a sub playbook of the "Prisma Cloud Compute - Compliance Alert v2" playbook.
It will loop through all of the given compliance issue IDs and will retrieve the following information for each affected host based on the compliance issue ID:
- Hostname
- Compliance Issues
- Compliance Distribution
- Cloud MetaData

The enriched information will be displayed in the layout in a dedicated table under the "Host Compliance Information" tab.

##### New: Prisma Cloud Compute - Compliance Alert Image Enrichment Loop

New: This is a sub playbook of the "Prisma Cloud Compute - Compliance Alert v2" playbook.
It will loop through all of the given compliance issue IDs and will retrieve the following information for each affected image based on the compliance issue ID:
- Image ID
- Compliance Issues
- Compliance Distribution
- Hosts
- Image Instances
- Cloud MetaData

The enriched information will be displayed in the layout in a dedicated table under the "Image Compliance Information" tab.

##### New: Prisma Cloud Compute - Compliance Alert v2

New: Playbook for enriching Prisma Cloud Compute compliance alerts.
It will handle hosts, images and container compliance alerts.
Each sub playbook in this playbook is dedicated to a specific resource type: host, container or image, and will loop through all of the retrieved Compliance Issue IDs in order to retrieve enriched information about each of the resources.
The enriched information will be displayed in the layout under dedicated tabs and includes resources information like hostnames, container ID, image ID, cloud provider info, enriched compliance issue details and more.

In addition, the playbook can create and update external ticketing systems for each compliance issue automatically with the relevant enriched information. In order to do so, fill the relevant playbook inputs.

##### New: Prisma Cloud Compute - Jira Compliance Issue

New: This playbook is a sub playbook of the "Prisma Cloud Compute - Compliance Alert Host Enrichment Loop" playbook.
It creates a new Jira issue or updates an existing Jira issue for each compliance ID retrieved in the original Prisma Cloud compliance alert, with enriched data for each resource (host, image or container).

##### New: Prisma Cloud Compute - Jira Ticket (Markdown Table)

New: This playbook is a sub playbook of the "Prisma Cloud Compute - Jira Compliance Issue" playbook.
It creates a new Jira issue or updates an existing Jira issue with a markdown table for the given compliance ID retrieved from the parent playbook, with enriched data for each resource (host, image or container).

##### New: Prisma Cloud Compute - Jira Ticket (XLSX)

New: This playbook is a sub playbook of the "Prisma Cloud Compute - Jira Compliance Issue" playbook.
It creates a new Jira issue or updates an existing Jira issue with an XLSX file for the given compliance ID retrieved from the parent playbook, with enriched data for each resource (host, image or container).

##### New: Prisma Cloud Compute - ServiceNow Compliance Ticket

New: This playbook is a sub playbook of the "Prisma Cloud Compute - Compliance Alert Host Enrichment Loop" playbook.
It creates a new ServiceNow ticket or updates an existing ServiceNow ticket for each compliance ID retrieved in the original Prisma Cloud compliance alert, with enriched data for each resource (host, image or container).

##### New: Prisma Cloud Compute - ServiceNow Ticket (HTML Table)

New: This playbook is a sub playbook of the "Prisma Cloud Compute - Jira Compliance Issue" playbook.
It creates a new ServiceNow ticket or updates an existing ServiceNow ticket with an HTML table for the given compliance ID retrieved from the parent playbook, with enriched data for each resource (host, image or container).

##### New: Prisma Cloud Compute - ServiceNow Ticket (XLSX)

New: This playbook is a sub playbook of the "Prisma Cloud Compute - Jira Compliance Issue" playbook.
It creates a new ServiceNow ticket or updates an existing ServiceNow ticket with an XLSX file for the given compliance ID retrieved from the parent playbook, with enriched data for each resource (host, image or container).


#### Mappers

##### Palo Alto Networks Prisma Cloud Compute - Incoming Mapper

- Mapped `Compliance Notes` and `Alert Category`.


#### Triggers Recommendations

New: **Prisma Cloud Compute - Compliance Alert v2 Trigger**


#### Layout Rules

##### New: Prisma Cloud Compute - Compliance Alert v2 Layout Rule

New: A new layout for `Prisma Cloud Compute - Compliance Alert v2` incidents<~XSIAM> (Available from Cortex XSIAM 2.0).</~XSIAM>


#### Classifiers

##### Palo Alto Networks Prisma Cloud Compute - Classifier

Changed classification of compliance alerts to the new `Prisma Cloud Compute Compliance v2` incident type.


#### Integrations

##### Palo Alto Networks - Prisma Cloud Compute

- Configured a default mapper and classifier.
- Increased the http call timeout from 10 seconds to 30 seconds.

